Skip to content

getSupplierLocation

READ

Get supplier location.

POST /api/v1/purchasing/getSupplierLocation
curl -X POST '<your-host>/api/v1/purchasing/getSupplierLocation' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "supplierContactId": "string"
  }'
Response
{
  "addressId": "string",
  "companyId": "string",
  "customFields": "…",
  "id": "string",
  "name": "string",
  "supplierId": "string",
  "tags": [
    "string"
  ],
  "address": {
    "id": "string",
    "addressLine1": "string",
    "addressLine2": "string",
    "city": "string",
    "stateProvince": "string",
    "country": {
      "alpha2": "string",
      "name": "string"
    },
    "postalCode": "string"
  }
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "supplierContactId": {
      "type": "string"
    }
  },
  "required": [
    "supplierContactId"
  ]
}